Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - g -

- G : md5.c , rmd160.c
- g4 : transcode_data.h
- g_ole_initialized : win32ole.c
- g_ole_initialized_init : win32ole.c
- g_ole_initialized_set : win32ole.c
- GB4bt : transcode_data.h
- GC_GUARDED_PTR : vm_core.h
- GC_GUARDED_PTR_P : vm_core.h
- GC_GUARDED_PTR_REF : vm_core.h
- GC_MALLOC_LIMIT : gc.c
- GC_NOTIFY : gc.c
- GC_PERIOD0 : date_core.c
- GC_PROFILE_MORE_DETAIL : gc.c
- GC_PROFILE_RECORD_DEFAULT_SIZE : gc.c
- GCC_VERSION_SINCE : pack.c
- ge : time.c
- GENERATE_JSON : generator.h
- generator_free : enumerator.c
- GENERIC2VALUE : conversions.h
- genrand_initialized : random.c
- GET_ABSADDR_INC : regint.h
- GET_AI : getaddrinfo.c
- GET_ALIGNMENT_PAD_SIZE : regint.h
- get_attr : time.c
- GET_BLOCK_PTR : vm_insnhelper.h
- GET_BYTE_INC : regint.h
- GET_CANONNAME : getaddrinfo.c
- GET_CFP : vm_insnhelper.h
- GET_CHAR_LEN_TOP_ALT_VARLEN : regcomp.c
- GET_CHAR_LEN_VARLEN : regcomp.c
- GET_CODE_POINT : regint.h
- GET_CONST_INLINE_CACHE : vm_insnhelper.h
- GET_CURRENT_INSN : vm_insnhelper.h
- get_d1 : date_core.c
- get_d1a : date_core.c
- get_d1b : date_core.c
- get_d2 : date_core.c
- get_dat1 : complex.c , rational.c
- get_dat2 : complex.c , rational.c
- GET_ENVIRON : hash.c
- GET_EP : vm_insnhelper.h
- GET_FAMILY : win32.c
- GET_FLAGS : win32.c
- GET_GLOBAL : vm_insnhelper.h
- GET_HEAP_BITMAP : gc.c
- GET_HEAP_HEADER : gc.c
- GET_HEAP_SLOT : gc.c
- get_id : ripper.c , ripper.y , parse.c , parse.y
- GET_ISEQ : vm_insnhelper.h
- GET_LENGTH_INC : regint.h
- GET_LEP : vm_insnhelper.h
- GET_MEMNUM_INC : regint.h
- GET_OPERAND : vm_insnhelper.h
- GET_OPTION_INC : regint.h
- GET_PARSER : parser.h
- GET_PARSER_INIT : parser.h
- GET_PC : vm_insnhelper.h
- GET_PC_COUNT : vm_insnhelper.h
- GET_PEPPER_INSTANCE : pepper_main.c
- GET_POINTER_INC : regint.h
- GET_PREV_EP : vm_insnhelper.h
- get_proc_iseq : proc.c
- GET_RELADDR_INC : regint.h
- GET_REPEATNUM_INC : regint.h
- GET_SCANNER : strscan.c
- GET_SELF : vm_insnhelper.h
- GET_SHORT : _sdbm.c
- GET_SP : vm_insnhelper.h
- GET_SP_COUNT : vm_insnhelper.h
- GET_STACK_BOUNDS : gc.c
- GET_STACK_INDEX : regexec.c
- GET_STATE : generator.h
- GET_STATE_CHECK_NUM_INC : regint.h
- GET_TAIL : cparse.c
- GET_THROWOBJ_CATCH_POINT : eval_intern.h
- GET_THROWOBJ_STATE : eval_intern.h
- GET_THROWOBJ_VAL : eval_intern.h
- GET_TOS : vm_insnhelper.h
- get_value : ripper.c , ripper.y , parse.c , parse.y
- GET_VM : vm_core.h
- GET_VM_STATE_VERSION : vm_insnhelper.h
- GETA1 : nkf.c
- GETA2 : nkf.c
- getaddrinfo : addrinfo.h
- GETARG : sprintf.c
- GETASTER : sprintf.c
- GetBindingPtr : vm_core.h
- GetBit : win32.c
- GetBN : ossl_bn.c
- getBT0 : transcode_data.h
- getBT1 : transcode_data.h
- getBT2 : transcode_data.h
- getBT3 : transcode_data.h
- getc : nkf.c , win32.h
- getchar : win32.h
- GetCipher : ossl_cipher.c
- GetCipherInit : ossl_cipher.c
- GetContPtr : cont.c
- GetCoreDataFromValue : vm_core.h
- GetDBM : gdbm.c , dbm.c , init.c
- GetDBM2 : dbm.c , gdbm.c , init.c
- GetDigest : ossl_digest.c
- GetDIR : dir.c
- GetEnvPtr : vm_core.h
- GetFiberPtr : cont.c
- getGB4bt0 : transcode_data.h
- getGB4bt1 : transcode_data.h
- getGB4bt2 : transcode_data.h
- getGB4bt3 : transcode_data.h
- GetHMAC : ossl_hmac.c
- GETIOV : vsnprintf.c
- GetISeqPtr : vm_core.h
- GetMutexPtr : thread.c
- GETNAMEARG : sprintf.c
- getnameinfo : addrinfo.h
- GetNewTimeval : time.c
- GETNTHARG : sprintf.c
- GETNUM : sprintf.c
- GetOpenFile : io.h
- GetPKCS12 : ossl_pkcs12.c
- GetPKCS7 : ossl_pkcs7.c
- GetPKCS7ri : ossl_pkcs7.c
- GetPKCS7si : ossl_pkcs7.c
- GetPKey : ossl_pkey.h
- GetPKeyDH : ossl_pkey_dh.c
- GetPKeyDSA : ossl_pkey_dsa.c
- GetPKeyRSA : ossl_pkey_rsa.c
- GETPOSARG : sprintf.c
- GetProcPtr : vm_core.h
- GetReadFD : console.c
- GetSPKI : ossl_ns_spki.c
- GetSSLSession : ossl_ssl_session.c , ossl_ssl.h
- GETSTR_BUF_SIZE : curses.c
- gettable : parse.c , ripper.y , ripper.c , parse.y
- GetThreadPtr : vm_core.h
- GetThreadShieldPtr : thread.c
- GetTimeval : time.c
- GetVMPtr : vm_core.h
- GetWINDOW : curses.c
- GetWriteFD : console.c
- GetWriteIO : io.c
- GetX509 : ossl_x509cert.c
- GetX509Attr : ossl_x509attr.c
- GetX509CRL : ossl_x509crl.c
- GetX509Ext : ossl_x509ext.c
- GetX509ExtFactory : ossl_x509ext.c
- GetX509Name : ossl_x509name.c
- GetX509Req : ossl_x509req.c
- GetX509Rev : ossl_x509revoked.c
- GetX509StCtx : ossl_x509store.c
- GetX509Store : ossl_x509store.c
- GG : rmd160.c
- GGG : rmd160.c
- GIDT2NUM : ruby.h
- GLOB_ALLOC : dir.c
- GLOB_ALLOC_N : dir.c
- glob_call_func : dir.c
- GLOB_FREE : dir.c
- GLOB_JUMP_TAG : dir.c
- GLOB_VERBOSE : dir.c
- global_entry : variable.c
- global_List : gc.c
- global_variable : variable.c
- GlobPathValue : dir.c
- GMTIME : time.c
- GNUC_OLDER_3_4_4 : win32ole.c
- GREGORIAN : date_core.c
- gt : time.c
- GUARD_OBJ : bigdecimal.c
- GUESS : time.c
- gvar_getter_t : variable.c
- gvar_marker_t : variable.c
- gvar_setter_t : variable.c
- GVL_UNLOCK_BEGIN : thread.c
- GVL_UNLOCK_END : thread.c
- GZ_EXTRAFLAG_FAST : zlib.c
- GZ_EXTRAFLAG_SLOW : zlib.c
- GZ_FLAG_COMMENT : zlib.c
- GZ_FLAG_ENCRYPT : zlib.c
- GZ_FLAG_EXTRA : zlib.c
- GZ_FLAG_MULTIPART : zlib.c
- GZ_FLAG_ORIG_NAME : zlib.c
- GZ_FLAG_UNKNOWN_MASK : zlib.c
- GZ_MAGIC1 : zlib.c
- GZ_MAGIC2 : zlib.c
- GZ_METHOD_DEFLATE : zlib.c
- GZFILE_CBUF_CAPA : zlib.c
- GZFILE_FLAG_FOOTER_FINISHED : zlib.c
- GZFILE_FLAG_HEADER_FINISHED : zlib.c
- GZFILE_FLAG_SYNC : zlib.c
- GZFILE_IS_FINISHED : zlib.c
- GZFILE_READ_SIZE : zlib.c
- gzfile_reader_new : zlib.c
- gzfile_writer_new : zlib.c
- GZIP_SUPPORT : zlib.c